# Korinthenkacker

Know your Jenkins

## Setup

```
gem install korinthenkacker
```

Add a `.korinthenkacker.yml` containing the jenkins url:

```
jenkins:
  url: http://mobile-jenkins.int.s-cloud.net:82/
```

## Usage

```
$> korinthenkacker jobs
api-mobile
[...]
soundcloud_rac_acceptance_tests_0
soundcloud_rac_acceptance_tests_1
soundcloud_rac_acceptance_tests_2
soundcloud_rac_acceptance_tests_3
soundcloud_rac_acceptance_tests_4
soundcloud_rac_master
soundcloud_rac_master_deploy_alpha
soundcloud_rac_master_deploy_beta
soundcloud_rac_release
```

```
$> korinthenkacker builds soundcloud_rac_acceptance_tests_0 -l 10
#	success	duration
65	true	1327.1874
64	false	1416.8722
63	true	1409.2301
62	true	754.0678
61	true	1132.1196
60	true	1177.228
59	true	1157.0691
58	false	1164.8196
57	false	1175.3278
```

```
$> korinthenkacker failed_scenarios soundcloud_rac_acceptance_tests_0 -l 20
#	duration       	failed scenario name
64	28.805166      	Empty view when no results returned
58	28.217377      	Unliking a track updates the count and like cells
57	28.0328        	Liking a track updates the count and like cells
53	11.726423      	Mini waveform stops animating on track error
47	41.80393       	When an unfollowing request fails, display followed state
47	80.93447       	When a follow request fails, display unfollowed state
```

```
$> korinthenkacker failed_scenarios soundcloud_rac_acceptance_tests_0 47
#	duration       	failed scenario name
47	41.80393       	When an unfollowing request fails, display followed state
47	80.93447       	When a follow request fails, display unfollowed state
```

```
$> korinthenkacker flaky_scenarios soundcloud_rac_acceptance_tests -l 20
#	duration       	scenario name
228	63.409763      	'Player.Foreground playback with server errors'
225	3.24821        	'Player shortcut (Mini waveform).Mini waveform stops animating on track error'
223	30.674717      	'Player Audio Ads Playback.Going back after playing ad does not show ad again'
```

```
$> korinthenkacker report soundcloud_rac_acceptance_tests_{0,1,2,3,4} -l 5
soundcloud_rac_acceptance_tests_0
#	duration       	failed scenario name
64	28.805166      	'Empty view when no results returned'
soundcloud_rac_acceptance_tests_1
#	duration       	failed scenario name
62	43.684013      	'Logging out stops playback, removes player from tab bar'
soundcloud_rac_acceptance_tests_2
#	duration       	failed scenario name
55	44.15834       	'User should be able to paginate their playlists'
soundcloud_rac_acceptance_tests_3
#	duration       	failed scenario name
64	0.013009       	'Player shows timestamp with correct duration'
64	0.02346        	'Followed user shows follow button'
64	40.086674      	'User should be able to paginate their playlists'
63	0.013006       	'Player shows timestamp with correct duration'
63	41.263924      	'User should be able to paginate their playlists'
soundcloud_rac_acceptance_tests_4
```
