require 'json'
require 'korinthenkacker/filters/failed'
require 'korinthenkacker/test_case'

module Korinthenkacker
  module Filters
    describe Failed do
      describe '#filter' do
        let(:report_json_path) { File.expand_path('../../fixtures/test_cases.json', __FILE__) }
        let(:report_json_fixture) { JSON.parse(File.read(report_json_path)) }
        let(:test_cases) { report_json_fixture.map { |json_case| TestCase.new(json_case, 1) } }

        context 'with empty TestCases' do
          let(:test_cases) { [] }

          it 'returns and empty array' do
            expect(subject.filter([])).to be_empty
          end
        end

        context 'with non-empty cases' do
          it 'returns the correct amount of TestCases' do
            expect(subject.filter(test_cases).count).to eql(8)
          end

          it 'returns only failed TestCases' do
            expect(subject.filter(test_cases).all?(&:failure?)).to be_truthy
          end
        end
      end
    end
  end
end
